<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>JavaScript Calculator</title>
    <link rel="icon" href="images/favicon.png">
    <link rel="stylesheet" type="text/css" href="css/style.css" />
    <script type="text/javascript" src="js/script.js" async></script>
    <!-- <script type="text/javascript" src="js/script.js" defer></script> -->

</head>
<body>
    <div class="wrapper">
        <div class="calc-wrap">
            <form name="calculator">
                <input type="text" id="screen" value="0" readonly>
                <br>
                <input type="button" class="button" value="7" onclick="putOnScreen('7')">
                <input type="button" class="button" value="8" onclick="putOnScreen('8')">
                <input type="button" class="button" value="9" onclick="putOnScreen('9')">
                <!-- character entity reference of the divide ('/') symbol -->
                <input type="button" class="button" value="&divide" onclick="putOnScreen('/')">
                <input type="button" class="button" value="ON/C" onclick="calculatorReset()">
                <input type="button" class="button" value="4" onclick="putOnScreen('4')">
                <input type="button" class="button" value="5" onclick="putOnScreen('5')">
                <input type="button" class="button" value="6" onclick="putOnScreen('6')">
                <!-- decimal character reference of the multiplication ('*') symbol -->
                <input type="button" class="button" value="&times" onclick="putOnScreen('*')">
                <!-- Unicode Character 'RIGHTWARDS ARROW' HTML Entity (decimal) &#8594; -->
                <input type="button" class="button" value="&#8594" onclick="backwards()">
                <input type="button" class="button" value="1" onclick="putOnScreen('1')">
                <input type="button" class="button" value="2" onclick="putOnScreen('2')">
                <input type="button" class="button" value="3" onclick="putOnScreen('3')">
                <!-- Unicode Character 'MINUS SIGN' HTML Entity (decimal) &#8722; -->
                <input type="button" class="button" value="&#8722" onclick="putOnScreen('-')">
                <!-- 'RIGHTWARDS ARROW' in between letters X and M -->
                <input type="button" class="button" value="X&#8594M" onclick="memoryFunction('m')">
                <input type="button" class="button" value="0" onclick="putOnScreen('0')">
                <input type="button" class="button" value="." onclick="putOnScreen('.')">
                <input type="button" class="button" value="=" onclick="calculateResult()">
                <input type="button" class="button" value="+" onclick="putOnScreen('+')">
                <input type="button" class="button" value="RM" onclick="memoryFunction('rm')">
            </form>

        </div>
    </div>
    <!--
    <script src="js/script.js"></script>
    -->
</body>
</html>